---
title: '`glab mr merge`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Merge or accept a merge request.

## Synopsis

Defaults to the currently checked-out branch. When a pipeline is running,
auto-merge is enabled by default. Pass `--auto-merge=false` to
merge immediately. Use `--squash` or `--rebase` to control
the merge strategy, or `--remove-source-branch` to delete the
source branch after merging.

```plaintext
glab mr merge [<id | branch>] [flags]
```

## Aliases

```plaintext
accept
```

## Examples

```console
# Merge a merge request
glab mr merge 235
glab mr accept 235

# Finds open merge request from current branch
glab mr merge
```

## Options

```plaintext
      --auto-merge              Set auto-merge. (default true)
  -m, --message string          Custom merge commit message.
  -r, --rebase                  Rebase the commits onto the base branch.
  -d, --remove-source-branch    Remove source branch on merge.
      --sha string              Merge only if the HEAD of the source branch matches this SHA. Use to ensure that only reviewed commits are merged.
  -s, --squash                  Squash commits on merge.
      --squash-message string   Custom squash commit message.
  -y, --yes                     Skip submission confirmation prompt.
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
